Package: io.vertx.groovy.ext.auth.jdbc

## [Groovy] Class JDBCAuth

- io.vertx.groovy.ext.auth.jdbc.JDBCAuth

- Factory interface for creating AuthProvider instances that use the Vert.x JDBC client

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JDBCAuth (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static JDBCAuth` | `create(JDBCClient client)` Create a JDBC auth provider implementation
    `java.lang.Object` | `getDelegate()`
    `JDBCAuth` | `setAuthenticationQuery(java.lang.String authenticationQuery)` Set the authentication query to use.
    `JDBCAuth` | `setPermissionsQuery(java.lang.String permissionsQuery)` Set the permissions query to use.
    `JDBCAuth` | `setRolePrefix(java.lang.String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.
    `JDBCAuth` | `setRolesQuery(java.lang.String rolesQuery)` Set the roles query to use.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AuthProvider` | `authenticate, getDelegate`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### JDBCAuth(java.lang.Object delegate)

  - ### Method Detail

    - #### static JDBCAuth create(JDBCClient client)

      Create a JDBC auth provider implementation

      Returns:
        the auth provider
      Parameters:
        `client` - the JDBC client instance

    - #### java.lang.Object getDelegate()

    - #### JDBCAuth setAuthenticationQuery(java.lang.String authenticationQuery)

      Set the authentication query to use. Use this if you want to override the default authentication query.

      Returns:
        a reference to this for fluency
      Parameters:
        `authenticationQuery` - the authentication query

    - #### JDBCAuth setPermissionsQuery(java.lang.String permissionsQuery)

      Set the permissions query to use. Use this if you want to override the default permissions query.

      Returns:
        a reference to this for fluency
      Parameters:
        `permissionsQuery` - the permissions query

    - #### JDBCAuth setRolePrefix(java.lang.String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.

      Returns:
        a reference to this for fluency
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"

    - #### JDBCAuth setRolesQuery(java.lang.String rolesQuery)

      Set the roles query to use. Use this if you want to override the default roles query.

      Returns:
        a reference to this for fluency
      Parameters:
        `rolesQuery` - the roles query